Skip to main content
Get single video classification result

Authorizations

X-Api-Key
string
header
required

Your API key.

Path Parameters

identifier
string
required

The identifier of the video.

Response

The classification result.

The answer for video classification

hash
string

SHA-256 hash of the classified video file

identifier
string

The identifier that identifies the classified video

api_version
string | null

The API version at the time of the analysis (available from v1.1.0). The value is set when the analysis completes.

status
enum<string>

The processing status of the classification request (available from v1.1.0)

Available options:
new,
done,
errored
deferred_status
enum<string>

Status of the deferred results (steps run after the main results, e.g. the textual explanations of the XAI maps and of the heatmap). Present only when the submission has deferred results: pending (main analysis still running), inprogress, done, errored (at least one deferred step failed, the main results are still valid), skipped (the main analysis failed), expired (not completed in time; it can still turn into done or errored later). It never changes status: a submission is done before its deferred results are.

Available options:
pending,
inprogress,
done,
errored,
skipped,
expired
deferred_progress
object | null

Progress of the deferred results, present together with deferred_status.

deferred_errors
string[]

Public messages of the deferred steps that failed, present together with deferred_status.

errors
string | null

Error messages if the status is 'errored' (available from v1.1.0)

name
string

The name of the classified video file

ref_id
string

An optional reference ID to associate with the classification request.

result_url
string<uri>

URL where the classification results can be found on the dashboard

is_nsfw
boolean | null

Indicates if NSFW (Not Safe For Work) content was detected. Only present if with_nsfw was set to true in the classification request.

verdict
object

The main classification verdict for the entire video using the user's default heuristic

verdicts
object[]

Array of verdicts for all available heuristics applied to the entire video

force_classification
enum<string> | null

If present, indicates that the user has forced the classification to the specified value

Available options:
human,
artificial
results
object

Detailed results containing analyzed frames from the video